﻿using System.Collections.Generic;
using System.Linq;
using Styx;
using Styx.WoWInternals.WoWObjects;

namespace FastCash
{
    public static class Utils
    {
        public static bool IsinBags(IEnumerable<string> itemsNames)
        {
            return StyxWoW.Me.BagItems.Any(item => itemsNames.Contains(item.Name));
        }

        public static bool IsinBags(string itemName)
        {
            return StyxWoW.Me.BagItems.Any(item => itemName == item.Name);
        }

        public static bool IsinBags(int itemId)
        {
            return StyxWoW.Me.BagItems.Any(item => itemId == item.Entry);
        }

        public static WoWItem GetFromBags(int itemdId)
        {
            return StyxWoW.Me.BagItems.FirstOrDefault(i => i.Entry == itemdId);
        }
    }
}